{
	"name": "woolentor/cross-sell",
    "category": "woolentor-cart",
    "title": "WL: Cross Sell",
    "description": "Display cross sell Product.",
    "keywords": ["woolentor","cross sell","cross sell product","cart","cart table"],
    "supports": {
      "align": ["wide","full"]
    },
    "attributes": {
        "blockUniqId":{
            "type": "string",
            "default": ""
        },
        "areaPadding": {
            "type": "object",
            "default": {
                "device": "desktop"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} { padding: {{areaPadding}} !important; }"
            }
        },
        "areaBGProperty":{
            "type": "object",
            "default": {
                "imageId": null,
                "imageUrl":"",
                "position": "",
                "attachment": "",
                "repeat": "",
                "size": ""
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}}"
            }
        },
        "columns": {
            "type": "object",
            "default": {
                "desktop": 4
            }
        },
        "limit":{
            "type": "number",
            "default": 2
        },
        "orderBy":{
            "type": "string",
            "default": "rand"
        },
        "order":{
            "type": "string",
            "default": "DESC"
        },

        "headingTextColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells > h2 { color: {{headingTextColor}}; }"
            }
        },
        "headingTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells > h2"
            }
        },
        "headingSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells > h2 { font-size: {{headingSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of headingSize, we will remove it later"
        },
        "headingMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells > h2 { margin: {{headingMargin}}; }"
            }
        },
        "headingAlignment":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells > h2 { text-align: {{headingAlignment}}; }"
            }
        },

        "itemBorderType": {
            "type": "string",
            "default": "",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { border-style: {{itemBorderType}}; }"
            }
        },
        "itemBorderWidth":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "itemBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { border-width: {{itemBorderWidth}}; }"
            }
        },
        "itemBorderColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "itemBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { border-color: {{itemBorderColor}}; }"
            }
        },
        "itemBorderRadius":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { border-radius: {{itemBorderRadius}}; }"
            }
        },
        "itemPadding":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { padding: {{itemPadding}}; }"
            }
        },
        "contentAlignment":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cross-sells ul.products li.product { text-align: {{contentAlignment}}; }"
            }
        },

        "imageBorderType": {
            "type": "string",
            "default": "",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .attachment-woocommerce_thumbnail { border-style: {{imageBorderType}}; }"
            }
        },
        "imageBorderWidth":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "imageBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .attachment-woocommerce_thumbnail { border-width: {{imageBorderWidth}}; }"
            }
        },
        "imageBorderColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "imageBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .attachment-woocommerce_thumbnail { border-color: {{imageBorderColor}}; }"
            }
        },
        "imageBorderRadius":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .attachment-woocommerce_thumbnail { border-radius: {{imageBorderRadius}}; }"
            }
        },
        "imageMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .attachment-woocommerce_thumbnail { margin: {{imageMargin}}; }"
            }
        },

        "titleColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .woocommerce-loop-product__title,{{WOOLENTOR_WRAPPER}} ul.products li.product .title a { color: {{titleColor}}!important; }"
            }
        },
        "titleHoverColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .woocommerce-loop-product__title:hover,{{WOOLENTOR_WRAPPER}} ul.products li.product .title a:hover { color: {{titleHoverColor}}!important; }"
            }
        },
        "titleTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .woocommerce-loop-product__title,{{WOOLENTOR_WRAPPER}} ul.products li.product .title a"
            }
        },
        "titleSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .woocommerce-loop-product__title,{{WOOLENTOR_WRAPPER}} ul.products li.product .title a { font-size: {{titleSize}}!important; }"
            },
            "deprecated": true,
            "_comment": "old name of titleSize, we will remove it later"
        },
        "titleMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .woocommerce-loop-product__title,{{WOOLENTOR_WRAPPER}} ul.products li.product .title a { margin: {{titleMargin}}!important; }"
            }
        },

        "salePriceColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price,{{WOOLENTOR_WRAPPER}} ul.products li.product .price ins,{{WOOLENTOR_WRAPPER}} ul.products li.product .price ins .amount,{{WOOLENTOR_WRAPPER}} ul.products li.product .price .amount{ color: {{salePriceColor}}!important; }"
            }
        },
        "salePriceTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price"
            }
        },
        "salePriceSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price{ font-size: {{salePriceSize}}!important; }"
            },
            "deprecated": true,
            "_comment": "old name of salePriceSize, we will remove it later"
        },
        "regularPriceColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price del,{{WOOLENTOR_WRAPPER}} ul.products li.product .price del .amount,{{WOOLENTOR_WRAPPER}} .price del .amount{ color: {{regularPriceColor}}!important; }"
            }
        },
        "regularPriceTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price del .amount,{{WOOLENTOR_WRAPPER}} ul.products li.product .price del"
            }
        },
        "regularPriceSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .price del .amount,{{WOOLENTOR_WRAPPER}} ul.products li.product .price del{ font-size: {{regularPriceSize}}!important; }"
            },
            "deprecated": true,
            "_comment": "old name of regularPriceSize, we will remove it later"
        },

        "ratingColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .star-rating{ color: {{ratingColor}}; }"
            }
        },
        "emptyRatingColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .star-rating::before{ color: {{emptyRatingColor}}; }"
            }
        },
        "ratingSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .star-rating{ font-size: {{ratingSize}}; }"
            }
        },
        "ratingMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .star-rating{ margin: {{ratingMargin}}; }"
            }
        },

        "cartBtnColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ color: {{cartBtnColor}}; }"
            }
        },
        "cartBtnBGColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ background-color: {{cartBtnBGColor}}; }"
            }
        },
        "cartBtnBorderType": {
            "type": "string",
            "default": "",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ border-style: {{cartBtnBorderType}}; }"
            }
        },
        "cartBtnBorderWidth":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "cartBtnBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ border-width: {{cartBtnBorderWidth}}; }"
            }
        },
        "cartBtnBorderColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "cartBtnBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ border-color: {{cartBtnBorderColor}}; }"
            }
        },
        "cartBtnBorderRadius":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ border-radius: {{cartBtnBorderRadius}}; }"
            }
        },
        "cartBtnTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button"
            }
        },
        "cartBtnSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ font-size: {{cartBtnSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of cartBtnSize, we will remove it later"
        },
        "cartBtnPadding":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ padding: {{cartBtnPadding}}; }"
            }
        },
        "cartBtnMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button{ margin: {{cartBtnMargin}}; }"
            }
        },
        "cartBtnHoverColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button:hover{ color: {{cartBtnHoverColor}}; }"
            }
        },
        "cartBtnHoverBGColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button:hover{ background-color: {{cartBtnHoverBGColor}}; }"
            }
        },
        "cartBtnHoverBorderColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product .button:hover{ border-color: {{cartBtnHoverBorderColor}}; }"
            }
        },

        "saleTagShow":{
            "type": "boolean",
            "default": true
        },
        "saleTextColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "saleTagShow", 
                            "condition": "==", 
                            "value": true
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product span.onsale{ color: {{saleTextColor}}; }"
            }
        },
        "saleTagBGColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "saleTagShow", 
                            "condition": "==", 
                            "value": true
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product span.onsale{ background-color: {{saleTagBGColor}}; }"
            }
        },
        "saleTagPadding":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "saleTagShow", 
                            "condition": "==", 
                            "value": true
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product span.onsale{ padding: {{saleTagPadding}}; }"
            }
        },
        "saleTagBorderRadius":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "saleTagShow", 
                            "condition": "==", 
                            "value": true
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} ul.products li.product span.onsale{ border-radius: {{saleTagBorderRadius}}; }"
            }
        },
        "saleTagPosition":{
            "type":"string",
            "default" : ""
        }
    }
}